<?php
/**
 * ownCloud
 *
 * @author Frank Karlitscheck <frank@owncloud.com>
 * @author Tom Needham <tom@owncloud.com>
 * @copyright (C) 2014 ownCloud, Inc.
 *
 * This code is covered by the ownCloud Commercial License.
 *
 * You should have received a copy of the ownCloud Commercial License
 * along with this program. If not, see <https://owncloud.com/licenses/owncloud-commercial/>.
 *
 */

// check if license app is enabled
if(!OCP\App::isEnabled('enterprise_key')) {
	
	// enable accidently disabled license app. Can happen during upgrade.
	OCP\Util::writeLog('admin_audit','Enabling Enterprise license app which was deactivated.', \OCP\Util::ERROR);
	OC_App::enable('enterprise_key');

} else {
	
	OCP\Util::connectHook('OC_User', 'pre_login', '\OCA\Admin_Audit\Hooks\Handlers', 'pre_login');
	OCP\Util::connectHook('OC_User', 'post_login', '\OCA\Admin_Audit\Hooks\Handlers', 'post_login');
	OCP\Util::connectHook('OC_User', 'logout', '\OCA\Admin_Audit\Hooks\Handlers', 'logout');

	OCP\Util::connectHook(OC\Files\Filesystem::CLASSNAME, OC\Files\Filesystem::signal_rename, '\OCA\Admin_Audit\Hooks\Handlers', 'rename');
	OCP\Util::connectHook(OC\Files\Filesystem::CLASSNAME, OC\Files\Filesystem::signal_create, '\OCA\Admin_Audit\Hooks\Handlers', 'create');
	OCP\Util::connectHook(OC\Files\Filesystem::CLASSNAME, OC\Files\Filesystem::signal_copy, '\OCA\Admin_Audit\Hooks\Handlers', 'copy');
	OCP\Util::connectHook(OC\Files\Filesystem::CLASSNAME, OC\Files\Filesystem::signal_update, '\OCA\Admin_Audit\Hooks\Handlers', 'update');
	OCP\Util::connectHook(OC\Files\Filesystem::CLASSNAME, OC\Files\Filesystem::signal_read, '\OCA\Admin_Audit\Hooks\Handlers', 'read');
	OCP\Util::connectHook(OC\Files\Filesystem::CLASSNAME, OC\Files\Filesystem::signal_delete, '\OCA\Admin_Audit\Hooks\Handlers', 'delete');

	if(OCP\App::isEnabled('files_trashbin')) {
		OCP\Util::connectHook('\OCA\Files_Trashbin\Trashbin', 'post_restore', '\OCA\Admin_Audit\Hooks\Handlers', 'trash_post_restore');
		OCP\Util::connectHook('\OCP\Trashbin', 'delete', '\OCA\Admin_Audit\Hooks\Handlers', 'trash_delete');
	}

	OCP\Util::connectHook('OC_User', 'post_createUser', '\OCA\Admin_Audit\Hooks\Handlers', 'user_create');
	OCP\Util::connectHook('OC_User', 'post_deleteUser', '\OCA\Admin_Audit\Hooks\Handlers', 'user_delete');
	
}
