<?php
/**
 * ownCloud
 *
 * @author Owen Winkler
 * @author Lukas Reschke <lukas@owncloud.com>
 * @copyright (C) 2014 ownCloud, Inc.
 *
 * This code is covered by the ownCloud Commercial License.
 *
 * You should have received a copy of the ownCloud Commercial License
 * along with this program. If not, see <https://owncloud.com/licenses/owncloud-commercial/>.
 *
 */

$key = new \OCA\Enterprise_Key\EnterpriseKey();
$key->check();

// register settings page
OCP\App::registerAdmin('enterprise_key', 'settings');

// Add the expiry notice to the login page output if expires in less than 45 days or is demo key
$expiresIn = $key->expiresInDays();
if($expiresIn < 45 || $key->has('demo')) {
	OCP\Util::addScript('enterprise_key', 'notice');
}
OC_Hook::connect('\OCP\Config', 'js', '\OCA\Enterprise_Key\EnterpriseKey', 'getJs');
