<?php
/**
 * ownCloud
 *
 * @author Owen Winkler
 * @copyright (C) 2014 ownCloud, Inc.
 *
 * This code is covered by the ownCloud Commercial License.
 *
 * You should have received a copy of the ownCloud Commercial License
 * along with this program. If not, see <https://owncloud.com/licenses/owncloud-commercial/>.
 *
 */

namespace OCA;

use OCP\Template;
use OCP\Util;

\OCP\User::checkAdminUser();

Util::addscript( 'enterprise_key', 'admin' );

$template = new Template( 'enterprise_key', 'settings');
$key = new \OCA\Enterprise_Key\EnterpriseKey();
$expiresIn = $key->expiresInDays();
$l = \OC_L10N::get('enterprise_key');
if($expiresIn > 0) {
	$template->assign('expiration', $l->t('The registered enterprise license key expires in %d days.', array($expiresIn)));
}
else {
	$template->assign('expiration', '<b class="warning">' . $l->t('The registered enterprise license key expired %d days ago!', array(-$expiresIn)) . '</b>');
}
return $template->fetchPage();

