<?php
/**
 * ownCloud
 *
 * @author Lukas Reschke <lukas@owncloud.com>
 * @copyright (C) 2015 ownCloud, Inc.
 *
 * This code is covered by the ownCloud Commercial License.
 *
 * You should have received a copy of the ownCloud Commercial License
 * along with this program. If not, see <https://owncloud.com/licenses/owncloud-commercial/>.
 *
 */

namespace OCA\Files_Drop\Lib;

/**
 * Class HelperWrapper is a wrapper around static methods in core, should get replaced
 * with not static default methods as well as public API.
 *
 * TODO: Remove with proper not static helper methods in core
 *
 * @package OCA\Files_Drop\Lib
 */
class HelperWrapper {
	/**
	 * @param string $dir
	 * @return int
	 */
	public function freeSpace($dir) {
		return \OC_Helper::freeSpace($dir);
	}

	/**
	 * @param string $dir
	 * @return int
	 */
	public function maxUploadFilesize($dir) {
		return \OC_Helper::maxUploadFilesize($dir);
	}

	/**
	 * @param string $user
	 */
	public function setupFS($user) {
		\OC_Util::tearDownFS();
		\OC_Util::setupFS($user);
	}

}
