<?php
/**
 * ownCloud
 *
 * @author Tom Needham <tom@owncloud.com>
 * @author Lukas Reschke <lukas@owncloud.com>
 * @copyright (C) 2015 ownCloud, Inc.
 *
 * This code is covered by the ownCloud Commercial License.
 *
 * You should have received a copy of the ownCloud Commercial License
 * along with this program. If not, see <https://owncloud.com/licenses/owncloud-commercial/>.
 *
 */

namespace OCA\Files_Drop\AppInfo;

use OCA\Files_Drop\Lib\EndpointService;
use OCA\Files_Drop\Lib\HelperWrapper;
use OCP\Template;

$server = \OC::$server;
$endpointService = new EndpointService(
	'files_drop',
	$server->getConfig(),
	$server->getURLGenerator(),
	$server->getRootFolder(),
	$server->getSecureRandom(),
	new HelperWrapper()
);
$page = new Template('files_drop', 'settings');

$endpoint = $endpointService->getByUser($server->getUserSession()->getUser()->getUID());

if($endpoint->getToken() === '') {
	$page->assign('existing', false);
} else {
	try {
		$relativePath = $endpoint->getRelativePath();
		$page->assign('url', $endpoint->getURL());
		$page->assign('dir', $relativePath);
		$page->assign('token', $endpoint->getToken());
		$page->assign('existing', true);
		$page->assign('freeSpace', \OC_Helper::freeSpace($relativePath));
		$page->assign('maxUpload', \OC_Helper::maxUploadFilesize($relativePath));
	} catch (\Exception $e) {
		$page->assign('existing', false);
	}
}

return $page->fetchPage();
