<?php
/**
 * ownCloud
 *
 * @author Tom Needham <tom@owncloud.com>
 * @author Lukas Reschke <lukas@owncloud.com>
 * @copyright (C) 2015 ownCloud, Inc.
 *
 * This code is covered by the ownCloud Commercial License.
 *
 * You should have received a copy of the ownCloud Commercial License
 * along with this program. If not, see <https://owncloud.com/licenses/owncloud-commercial/>.
 *
 */

/** @var array $_ */
script('files_drop', 'jquery.iframe-transport');
script('files_drop', 'jquery.fileupload');
script('files_drop', 'jquery.fileupload-process');
script('files_drop', 'jquery.fileupload-validate');
script('files_drop', 'public');
style('files_drop', 'public');

$server = \OC::$server;
$urlGenerator = $server->getURLGenerator();
?>
<div class="warning files_drop_container" data-token="<?php p($_['token']); ?>" data-maxupload="<?php p($_['maxUpload']); ?>">
	<h2><?php p($l->t('Files Drop')); ?></h2>
	<form method="post" action="<?php echo $urlGenerator->linkToRoute('files_drop.page.upload'); ?>" name="submit" enctype="multipart/form-data">
		<div id="errorDiv" class="hidden">
			<p class="error">
				<?php p($l->t('The following files haven\'t been uploaded due to an error:')) ?>
			</p>
			<ul class="error"></ul>
		</div>
		<div class="upload">
			<label class="choose button">
				<input type="file" name="file" required/>
				<span><?php p($l->t('Upload file')); ?></span>
			</label>
			<br/><br/>
			<em><?php p($l->t('max. %s', [human_file_size($_['maxUpload'])])); ?></em>
		</div>
		<input type="hidden" class="token" name="token" value="<?php p($_['token']); ?>">
	</form>
	<div id="progressBar" class="hidden">
		<div id="progressState"></div>
		<div id="progressPercent"></div>
	</div>
	<div class="completed hidden">
		<?php p($l->t('Uploaded files:')); ?>
		<ul></ul>
	</div>
</div>
