<?php
/**
 * ownCloud
 *
 * @author Tom Needham <tom@owncloud.com>
 * @author Lukas Reschke <lukas@owncloud.com>
 * @copyright (C) 2015 ownCloud, Inc.
 *
 * This code is covered by the ownCloud Commercial License.
 *
 * You should have received a copy of the ownCloud Commercial License
 * along with this program. If not, see <https://owncloud.com/licenses/owncloud-commercial/>.
 *
 */

/** @var array $_ */
script('files_drop', 'settings');
style('files_drop', 'settings');
?>

<a name="files_drop"></a>
<form class="section files_drop">
	<h2>Files Drop</h2>
	<p class="error"></p>
	<div class="endpoint_existing" <?php if(!$_['existing']) { ?>style="display: none"<?php } ?>>
		<p>
			<?php p($l->t('Folder used for anonymous upload: ')); ?>
			<span class="endpoint_path"><?php p($_['dir']); ?></span>
		</p>
		<input
			class="url"
			type="text"
			readonly="readonly"
			value="<?php p($_['url']); ?>"
			data-token="<?php p($_['token']); ?>"
			/>
		<em>
			<?php p($l->t('Free space: ')); ?>
			<span class="free_space"><?php p(human_file_size($_['freeSpace'])); ?></span>
			<?php p(' - '.$l->t('Max file upload size: ')); ?>
			<span class="max_upload"><?php p(human_file_size($_['maxUpload'])); ?></span>
		</em>
		<button class="remove" type="button"><?php p($l->t('Remove')); ?></button>
	</div>
	<div class="endpoint_new" <?php if($_['existing']) { ?>style="display: none"<?php } ?>>
		<p><?php p($l->t('Folder to use for anonymous upload')); ?></p>
		<button class="choose" type="button"><?php p($l->t('Choose')); ?></button>
	</div>
</form>
