<?php
/**
 * ownCloud
 *
 * @author Arthur Schiwon <blizzz@owncloud.com>
 * @copyright (C) 2014 ownCloud, Inc.
 *
 * This code is covered by the ownCloud Commercial License.
 *
 * You should have received a copy of the ownCloud Commercial License
 * along with this program. If not, see <https://owncloud.com/licenses/owncloud-commercial/>.
 *
 */

OC_Util::checkAdminUser();

try {
	\OCA\Files_LDAP_Home\Helper::checkOperability();
	$isAppWorking = true;
} catch (Exception $e) {
	$isAppWorking = false;
}

OCP\Util::addstyle('files_ldap_home', 'settings');
OCP\Util::addscript('files_ldap_home', 'settings');

$tmpl = new OCP\Template('files_ldap_home', 'settings');
$tmpl->assign('enabled', $isAppWorking);

if($isAppWorking){
	$settings = new \OCA\Files_LDAP_Home\Settings(\OC::$server->getConfig());

	$tmpl->assign('homeMountNameDefault', $settings->getDefaultMountName());
	$tmpl->assign('homeMountName', $settings->getMountName());
	$tmpl->assign('attributeMode', $settings->getAttributeMode());
	$tmpl->assign('attribute', $settings->getAttribute());
	$tmpl->assign('serverHosts', $settings->getServerHosts());
}

return $tmpl->fetchPage();
