<?php
/**
 * ownCloud
 *
 * @author Frank Karlitscheck <frank@owncloud.com>
 * @copyright (C) 2014 ownCloud, Inc.
 *
 * This code is covered by the ownCloud Commercial License.
 *
 * You should have received a copy of the ownCloud Commercial License
 * along with this program. If not, see <https://owncloud.com/licenses/owncloud-commercial/>.
 *
 */

// check if license app is enabled
if(!OCP\App::isEnabled('enterprise_key')) {
    
    // enable accidently disabled license app. Can happen during upgrade.
    OCP\Util::writeLog('files_sharing_log','Enabling Enterprise license app which was deactivated.', \OCP\Util::ERROR);
    OC_App::enable('enterprise_key');
    
} else {

    $l=new OC_L10N('files_sharing_log');

    OCP\Util::connectHook('OC\Files\Storage\Shared', 'fopen', 'OCA\Files_Sharing_Log\Log', 'fopen');
    OCP\Util::connectHook('OC\Files\Storage\Shared', 'file_get_contents', 'OCA\Files_Sharing_Log\Log', 'file_get_contents');
    OCP\Util::connectHook('OC\Files\Storage\Shared', 'file_put_contents', 'OCA\Files_Sharing_Log\Log', 'file_put_contents');
    OCP\Util::connectHook('OCP\Share', 'post_shared', 'OCA\Files_Sharing_Log\Log', 'post_shared');
	OCP\Util::connectHook('OCP\Share', 'post_unshare', 'OCA\Files_Sharing_Log\Log', 'post_unshare');
	OCP\Util::connectHook('OCP\Share', 'post_email', 'OCA\Files_Sharing_Log\Log', 'post_email');
    OCP\Util::connectHook('OCP\Share', 'post_update_permissions', 'OCA\Files_Sharing_Log\Log', 'post_update_permissions');

}
