<?php
/**
 * ownCloud
 *
 * @author Juan Pablo Villafañez Ramos <jvillafanez@owncloud.com>
 * @author Jesus Macias Portela <jesus@owncloud.com>
 * @copyright (C) 2014 ownCloud, Inc.
 *
 * This code is covered by the ownCloud Commercial License.
 *
 * You should have received a copy of the ownCloud Commercial License
 * along with this program. If not, see <https://owncloud.com/licenses/owncloud-commercial/>.
 *
 */
use \OCA\windows_network_drive\lib\DBAccess;
use \OCA\windows_network_drive\lib\WNDUtils;

OCP\JSON::checkAppEnabled('windows_network_drive');
OCP\JSON::checkLoggedIn();
OCP\JSON::callCheck();

$user = \OCP\User::getUser();
$groups = \OC_Group::getUserGroups($user);

$test = array();  // to hold the results
$l = OC_L10N::get('windows_network_drive');

// test can take sometime, so close the session as it won't be used
OC::$server->getSession()->close();

$mountList = DBAccess::getMountsForUser($user, $groups);
if ($mountList !== false) {
    while (($row = $mountList->fetchRow()) !== false) {
        WNDUtils::performTestOverGlobalRow($row, $test, $l);
    }
}


$personalMountList = DBAccess::getPersonalMountsPerUser($user);
if ($personalMountList !== false) {
    while (($row = $personalMountList->fetchRow()) !== false) {
        WNDUtils::performTestOverPersonalRow($row, $test, $l);
    }
}

\OCP\JSON::success(array("data" => $test));
