<?php
/**
 * ownCloud
 *
 * @author Juan Pablo Villafañez Ramos <jvillafanez@owncloud.com>
 * @author Jesus Macias Portela <jesus@owncloud.com>
 * @copyright (C) 2014 ownCloud, Inc.
 *
 * This code is covered by the ownCloud Commercial License.
 *
 * You should have received a copy of the ownCloud Commercial License
 * along with this program. If not, see <https://owncloud.com/licenses/owncloud-commercial/>.
 *
 */
use \OCA\windows_network_drive\lib\DBAccess;
use \OCA\windows_network_drive\lib\Utils;

\OCP\JSON::checkAppEnabled('windows_network_drive');
\OCP\User::isLoggedIn();
\OCP\JSON::callCheck();

$type = Utils::getDefault($_GET, 'type', '');

$mounts = array();
$user = \OCP\User::getUser();
$l = OC_L10N::get('windows_network_drive');

if ($type === 'personal') {
    $mountList = DBAccess::getPersonalMountsPerUser($user);
} else if ($type === 'admin') {
    $mountList = DBAccess::getMountsForUser($user, \OC_Group::getUserGroups($user));
} else {
    \OCP\JSON::error(array("message" => $l->t('Unknown mount type to get')));
    exit();
}

if ($mountList !== false) {
    // filter out the elements (global_username and global_password for credentials provided
    // by the admin, and credential_password for the user password)
    // global_username, global_password and credential_password are present in mountsForUser
    // creds_password is present in PersonalMountsPerUser
    $removableKeys = array('global_username', 'global_password', 'credential_password', 'creds_password');
    while(($row = $mountList->fetchRow()) !== false) {
        foreach ($removableKeys as $rmValue) {
            unset($row[$rmValue]);
        }
        $mounts[] = $row;
    }
    \OCP\JSON::success(array("data" => $mounts));
} else {
    \OCP\JSON::error(array("message" => $l->t('Error accessing the DB')));
}

