<?php
/**
 * ownCloud
 *
 * @author Juan Pablo Villafañez Ramos <jvillafanez@owncloud.com>
 * @author Jesus Macias Portela <jesus@owncloud.com>
 * @copyright (C) 2014 ownCloud, Inc.
 *
 * This code is covered by the ownCloud Commercial License.
 *
 * You should have received a copy of the ownCloud Commercial License
 * along with this program. If not, see <https://owncloud.com/licenses/owncloud-commercial/>.
 *
 */

// check if license app is enabled
if(!OCP\App::isEnabled('enterprise_key') && !getenv('TRAVIS')) {
    // enable accidently disabled license app. Can happen during upgrade.
    OCP\Util::writeLog('windows_network_drive','Enabling Enterprise license app which was deactivated.', \OCP\Util::ERROR);
    OC_App::enable('enterprise_key');
} else {
    if (strtoupper(substr(php_uname('s'), 0, 3)) === 'WIN' || !function_exists('smbclient_state_new')) {
        OCP\App::registerAdmin('windows_network_drive', 'badSettings');
        return;
    }
    $l = \OC_L10N::get('windows_network_drive');
    //OC::$loader->registerPrefix('WND\\SMB', 'windows_network_drive/3rdparty');

    require_once(__DIR__ . '/../3rdparty/autoload.php');

    OCP\App::registerAdmin('windows_network_drive', 'settings');
    OCP\App::registerPersonal('windows_network_drive', 'personal_settings');
    OCP\Util::connectHook('OC_Filesystem', 'post_initMountPoints', '\OCA\windows_network_drive\lib\Hooks', 'mount_storages');
    OCP\Util::connectHook('OC_User', 'post_login', '\OCA\windows_network_drive\lib\Hooks', 'login');
    \OCA\Files\App::getNavigationManager()->add(
        array(
            "id" => 'wndmounts',
            "icon" => 'extstoragemounts',
            "appname" => 'windows_network_drive',
            "script" => 'list.php',
            "order" => 40,
            "name" => $l->t('Windows network drive')
        )
    );
}
