<?php
/**
 * ownCloud
 *
 * @author Juan Pablo Villafañez Ramos <jvillafanez@owncloud.com>
 * @author Jesus Macias Portela <jesus@owncloud.com>
 * @copyright (C) 2014 ownCloud, Inc.
 *
 * This code is covered by the ownCloud Commercial License.
 *
 * You should have received a copy of the ownCloud Commercial License
 * along with this program. If not, see <https://owncloud.com/licenses/owncloud-commercial/>.
 *
 */

use \OCA\windows_network_drive\lib\DBAccess;
use \OCA\windows_network_drive\lib\Utils;

OCP\JSON::checkAppEnabled('windows_network_drive');
OCP\User::checkLoggedIn();

OCP\Util::addScript('windows_network_drive', 'wndutils');
OCP\Util::addScript('windows_network_drive', 'wndAjaxCalls');
OCP\Util::addScript('windows_network_drive', 'personalSettings');
OCP\Util::addStyle('windows_network_drive', 'settings');

$adminMounts = array();
$personalMounts = array();

$user = \OCP\User::getUser();

$mountList = DBAccess::getMountsForUser($user, \OC_Group::getUserGroups($user));
if ($mountList !== false) {
    while(($row = $mountList->fetchRow()) !== false) {
        $adminMounts[] = $row;
    }
}

$personal_enabled = \OCP\Config::getAppValue('windows_network_drive', 'personal_mounts', false);
if ($personal_enabled) {
    $personalMountList = DBAccess::getPersonalMountsPerUser($user);
    if ($personalMountList !== false) {
        while(($row = $personalMountList->fetchRow()) !== false) {
            $personalMounts[] = $row;
        }
    }
}

$globalCredentials = DBAccess::getPersonalGlobalCredentialsCached($user);
$userSet = Utils::getDefault($globalCredentials, 'global_username', '');
$passwordSet = ($globalCredentials) ? true : false;    // global credentials is false if there ir no DB row for admin

$tmpl = new \OCP\Template('windows_network_drive', 'personal_settings');
$tmpl->assign('username', $userSet);
$tmpl->assign('passwordSet', $passwordSet);
$tmpl->assign('globalMounts', $adminMounts);
$tmpl->assign('personal_mounts_enabled', $personal_enabled);
$tmpl->assign('personalMounts', $personalMounts);
return $tmpl->fetchPage();
