<?php
/**
 * ownCloud
 *
 * @author Juan Pablo Villafañez Ramos <jvillafanez@owncloud.com>
 * @author Jesus Macias Portela <jesus@owncloud.com>
 * @copyright (C) 2014 ownCloud, Inc.
 *
 * This code is covered by the ownCloud Commercial License.
 *
 * You should have received a copy of the ownCloud Commercial License
 * along with this program. If not, see <https://owncloud.com/licenses/owncloud-commercial/>.
 *
 */

vendor_script('select2/select2');
vendor_style('select2/select2');
?>

<div id="WNDadmin" class="section">
    <h2><?php p($l->t('Windows Network Drive'));?></h2>

    <?php if(getenv('HOME') === false): ?>
    <div class="warning">
        <p><?php p($l->t('WARNING: The HOME environment variable is not set properly. This could cause issues when using the Windows network drive application as the libsmbclient dependency may require this variable. Please see ownCloud admin documentation (link can be found in the app panel where you enable this app) for more information on how to set this variable.')); ?></p>
    </div>
    <?php endif; ?>

    <div>
        <p><?php p($l->t('Global credentials. These fields can be used for each of the Windows storage mounts')); ?></p>
        <input type="text" id="WNDGlobalUsername" name="WNDGlobalUsername" placeholder="<?php p($l->t('Username')); ?>" value="<?php p($_['username']); ?>" />
        <input type="password" id="WNDGlobalPassword" name="WNDGlobalPassword" placeholder="<?php p($l->t('Password')); ?>" value="<?php if($_['passwordSet']) p('●●●●●●●'); ?>" />
    </div>
    <div id="WNDadminMountPoints" class="containing_grid">
    <h3><?php p($l->t('Mount points')); ?></h3>
    <table class="grid">
        <thead>
            <tr>
                <th><?php p($l->t('Folder Name')); ?></th>
                <th><?php p($l->t('Available for')); ?></th>
                <th><?php p($l->t('Url')); ?></th>
                <th><?php p($l->t('Share')); ?></th>
                <th><?php p($l->t('Root')); ?></th>
                <th><?php p($l->t('Authentication credentials')); ?></th>
            </tr>
        </thead>
        <tbody>
            <?php foreach($_['globalMounts'] as $mount): ?>
            <tr data-mid="<?php p(intval($mount['mount_id'])); ?>">
                <td><?php p($mount['mount_point']); ?></td>
                <td class="applicable">
                    <input type="hidden" disabled="disabled" class="WNDapplicableUsers" style="width:20em;" value="<?php p(implode(',', array_map(function($elem){ if ($elem === 'global') return 'All users'; else return $elem;}, $mount['applicables']))) ?>" />
                </td>
                <td><?php p($mount['mount_url']); ?></td>
                <td><?php p($mount['share']); ?></td>
                <td><?php p($mount['root']); ?></td>
                <td class="td_wnd_creds">
                    <select class="wnd-select" disabled="disabled">
                        <option value="1" <?php if (intval($mount['use_custom_credentials']) === 1) print_unescaped('selected="selected"') ?>>
                            <?php p($l->t('User credentials')) ?>
                        </option>
                        <option value="2" <?php if (intval($mount['use_custom_credentials']) === 2) print_unescaped('selected="selected"') ?>>
                            <?php p($l->t('Global credentials')) ?>
                        </option>
                        <option value="3" <?php if (intval($mount['use_custom_credentials']) === 3) print_unescaped('selected="selected"') ?>>
                            <?php p($l->t('Login credentials')) ?>
                        </option>
                        <option value="0" <?php if (intval($mount['use_custom_credentials']) === 0) print_unescaped('selected="selected"') ?>>
                            <?php p($l->t('Custom credentials')) ?>
                        </option>
                    </select>
                    <?php if (intval($mount['use_custom_credentials']) !== 0): ?>
                        <input type="text" name="WNDGuser" placeholder="<?php p($l->t('Username')); ?>" style="display:none" />
                        <input type="password" name="WNDGpass" placeholder="<?php p($l->t('Password')); ?>" style="display:none" />
                    <?php else: ?>
                        <input type="text" name="WNDGuser" placeholder="<?php p($l->t('Username')); ?>" value="<?php p($mount['global_username']) ?>" disabled="disabled" />
                        <input type="password" name="WNDGpass" placeholder="<?php p($l->t('Password')); ?>" disabled="disabled" />
                    <?php endif; ?>
                </td>
                <td>
                    <input type="button" name="edit" value="<?php p($l->t('Edit')); ?>" />
                    <input type="button" name="delete" value="<?php p($l->t('Delete')); ?>" />
                </td>
            </tr>
            <?php endforeach; ?>
        </tbody>
        <tfoot>
            <tr id="WNDNewMountForm">
                <td><input type="text" id="WNDMountPoint" name="WNDMountPoint" placeholder="<?php p($l->t('Folder Name')); ?>" /></td>
                <td>
                    <input type="text" id="WNDMountType" name="WNDMountType" type="hidden" class="WNDapplicableUsers" style="width:20em;" value="" />
                </td>
                <td><input type="text" id="WNDUrl" name="WNDUrl" placeholder="<?php p($l->t('Url')); ?>" /></td>
                <td><input type="text" id="WNDShare" name="WNDShare" placeholder="<?php p($l->t('Share')); ?>" /></td>
                <td><input type="text" id="WNDRoot" name="WNDRoot" placeholder="<?php p($l->t('Root')); ?>" /></td>
                <td>
                    <select class="wnd-select" id="WNDCredentialsType" name="WNDCredentialsType">
                        <option value="1" selected="selected"><?php p($l->t('User credentials')) ?></option>
                        <option value="2"><?php p($l->t('Global credentials')) ?></option>
                        <option value="3"><?php p($l->t('Login credentials')) ?></option>
                        <option value="0"><?php p($l->t('Custom credentials')) ?></option>
                    </select>
                    <input type="text" id="WNDGuser" name="WNDGuser" placeholder="<?php p($l->t('Username')); ?>" style="display:none" />
                    <input type="password" id="WNDGpass" name="WNDGpass" placeholder="<?php p($l->t('Password')); ?>" style="display:none" />
                </td>
                <td><input type="button" id="WNDSaveButton" name="WNDSaveButton" value="<?php p($l->t('Save')); ?>" disabled="disabled"/></td>
            </tr>
        </tfoot>
    </table>
    </div>

    <div>
        <input type="checkbox" id="WNDActivatePersonal" name="WNDActivatePersonal" <?php if ($_['personalActive']) print_unescaped('checked="checked"'); ?> />
        <label for="WNDActivatePersonal"><?php p($l->t('Allow users to mount their own Windows network drive')); ?></label>
    </div>

    <div>
        <input type="checkbox" id="WNDActivateSharing" name="WNDActivateSharing" <?php if ($_['globalSharingActive']) print_unescaped('checked="checked"'); ?> />
        <label for="WNDActivateSharing"><?php p($l->t('Allow users to share Windows network drive content')); ?></label>
    </div>
</div>
