<?php
/**
 * ownCloud
 *
 * @author Juan Pablo Villafañez Ramos <jvillafanez@owncloud.com>
 * @author Jesus Macias Portela <jesus@owncloud.com>
 * @copyright (C) 2014 ownCloud, Inc.
 *
 * This code is covered by the ownCloud Commercial License.
 *
 * You should have received a copy of the ownCloud Commercial License
 * along with this program. If not, see <https://owncloud.com/licenses/owncloud-commercial/>.
 *
 */

if (php_sapi_name() !== "cli") {
    exit();
}

global $RUNTIME_NOAPPS;
$RUNTIME_NOAPPS = true;

define('PHPUNIT_RUN', 1);

require_once __DIR__.'/../../../lib/base.php';

function enableApp($app, $on) {
    try {
        if ($on === true) {
            OC_App::enable($app);
        } else {
            OC_App::disable($app);
        }
    } catch (Exception $e) {
        echo $e;
    }
}

enableApp('windows_network_drive', true);

if(!class_exists('PHPUnit_Framework_TestCase')) {
    require_once('PHPUnit/Autoload.php');
}

OC_Hook::clear();
OC_Log::$enabled = false;
if (OC_App::shouldUpgrade('windows_network_drive')) {
    OC_App::updateApp('windows_network_drive');
}
OC_App::loadApp('windows_network_drive', false);
